petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSetUp

Prepares for the use of a preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCSetUp(PC pc)

Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

Many br

### Keywords

PC, setup

### See Also

PCCreate(), PCApply(), PCDestroy()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex74f.F90.html